Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.saml
Class AttributeStatement

    java.lang.Object
      org.openxri.saml.AttributeStatement

    public class AttributeStatement

extends java.lang.Object

This class provides encapsulation of a SAML 2.0 Attribute Statement element

Author:
  =chetan

Constructor Summary
`AttributeStatement()` Constructs an empty SAML attribute statement
`AttributeStatement(org.w3c.dom.Element oElem)` This method populates the object from DOM.

Method Summary
`java.lang.String` | `dump()` Returns object as a formatted XML string.
`void` | `fromDOM(org.w3c.dom.Element oElem)` This method populates the object from DOM.
`Attribute` | `getAttribute()` Returns the first attribute element in the statement
`void` | `reset()` Resets the internal state of this object
`void` | `setAttribute(Attribute oVal)` Sets the attribute for this statement.
`org.w3c.dom.Element` | `toDOM(org.w3c.dom.Document oDoc)` This method will make DOM using the specified document.
`java.lang.String` | `toString()` Returns formatted object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeStatement

    public AttributeStatement(org.w3c.dom.Element oElem)

  This method populates the object from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

### AttributeStatement

    public AttributeStatement()

  Constructs an empty SAML attribute statement

Method Detail

### reset

    public void reset()

  Resets the internal state of this object

### fromDOM

    public void fromDOM(org.w3c.dom.Element oElem)

  This method populates the object from DOM. It does not keep a copy of the DOM around. Whitespace information is lost in this process.

### getAttribute

    public Attribute getAttribute()

  Returns the first attribute element in the statement

### setAttribute

    public void setAttribute(Attribute oVal)

  Sets the attribute for this statement. Only 1 attribute at a time is supported.

### toDOM

    public org.w3c.dom.Element toDOM(org.w3c.dom.Document oDoc)

  This method will make DOM using the specified document. If any DOM state has been stored with the object, it will not be used in this method. This method generates a reference-free copy of new DOM.

  Parameters:
    `oDoc` - - The document to use for generating DOM

### toString

    public java.lang.String toString()

  Returns formatted object. Do not use if signature needs to be preserved.

  Overrides:
    `toString` in class `java.lang.Object`

### dump

    public java.lang.String dump()

  Returns object as a formatted XML string.

  Parameters:
    `sTab` - - The characters to prepend before each new line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.